const X_MSG             = "Install Get Jetable Mail extension";
const X_NAME            = "Get Jetable Mail";
const X_AUTHOR		= "Nicolas Moreau";
const X_VER             = "0.3";
const X_TOPDIR          = "getjetablemail";
const X_CONTENT         = "content/";
const X_SKIN            = "skin/classic/";
const X_LOCALE_EN       = "locale/en-US/";
const X_LOCALE_FR       = "locale/fr-FR/";
const X_LOCALE_NL       = "locale/nl-NL/";
const X_LOCALE_PT       = "locale/pt/";
const X_CHROME          = "chrome";

var jarName             = "getjetablemail.jar";
var folder              = getFolder("Current User", "chrome");
var contentFlag		= CONTENT | PROFILE_CHROME;
var existsInApplication = File.exists(getFolder(getFolder("Chrome"), X_TOPDIR));
var existsInProfile     = File.exists(getFolder(folder, X_TOPDIR));

var srDest = 1;

var err = initInstall(X_MSG, X_NAME, X_VER); 
logComment("initInstall: " + err);

logComment( "Installation started ..." );
// add software to the installation

setPackageFolder(folder);

if (verifyDiskSpace(getFolder("Program"), srDest))
{
    err = addFile(X_AUTHOR, X_VER, 'chrome/' + jarName, folder, null);
    logComment("addFile to " + folder + " : " + err);

    registerChrome(CONTENT | PROFILE_CHROME, getFolder(folder, jarName), X_CONTENT);
    registerChrome(SKIN | PROFILE_CHROME, getFolder(folder, jarName), X_SKIN);
    registerChrome(LOCALE | PROFILE_CHROME, getFolder(folder, jarName), X_LOCALE_EN);
    registerChrome(LOCALE | PROFILE_CHROME, getFolder(folder, jarName), X_LOCALE_FR);
    registerChrome(LOCALE | PROFILE_CHROME, getFolder(folder, jarName), X_LOCALE_NL);
    registerChrome(LOCALE | PROFILE_CHROME, getFolder(folder, jarName), X_LOCALE_PT);
    err = getLastError();
    if ( err == SUCCESS )  {      // if there have been no errors:
      performInstall();           // install moji/ directory
      // alert("Please restart to activate the program");
    }
    else  {                       // otherwise
      cancelInstall();            // cancel the installation.
    }
}
else
    cancelInstall(INSUFFICIENT_DISK_SPACE);

// this function verifies disk space in kilobytes
function verifyDiskSpace(dirPath, spaceRequired)
{
  var spaceAvailable;

  // Get the available disk space on the given path
  spaceAvailable = fileGetDiskSpaceAvailable(dirPath);

  // Convert the available disk space into kilobytes
  spaceAvailable = parseInt(spaceAvailable / 1024);

  // do the verification
  if(spaceAvailable < spaceRequired)
  {
    logComment("Insufficient disk space: " + dirPath);
    logComment("  required : " + spaceRequired + " K");
    logComment("  available: " + spaceAvailable + " K");
    return(false);
  }

  return(true);
}
